libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
geometry.h File Reference

Data structures related to geometric objects. More...

`#include <algorithm>`
`#include <ostream>`
`#include <string>`
Include dependency graph for geometry.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | libcamera::Point
| Describe a point in two-dimensional space. More...
class | libcamera::Size
| Describe a two-dimensional size. More...
class | libcamera::SizeRange
| Describe a range of sizes. More...
class | libcamera::Rectangle
| Describe a rectangle's position and dimensions. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Functions
bool | libcamera::operator== (const Point &lhs, const Point &rhs)
| Compare points for equality.
std::ostream & | libcamera::operator<< (std::ostream &out, const Point &p)
| Insert a text representation of a Point into an output stream.
bool | libcamera::operator== (const Size &lhs, const Size &rhs)
| Compare sizes for equality.
bool | libcamera::operator< (const Size &lhs, const Size &rhs)
| Compare sizes for smaller than order.
std::ostream & | libcamera::operator<< (std::ostream &out, const Size &s)
| Insert a text representation of a Size into an output stream.
bool | libcamera::operator== (const SizeRange &lhs, const SizeRange &rhs)
| Compare size ranges for equality.
std::ostream & | libcamera::operator<< (std::ostream &out, const SizeRange &sr)
| Insert a text representation of a SizeRange into an output stream.
bool | libcamera::operator== (const Rectangle &lhs, const Rectangle &rhs)
| Compare rectangles for equality.
std::ostream & | libcamera::operator<< (std::ostream &out, const Rectangle &r)
| Insert a text representation of a Rectangle into an output stream.

## Detailed Description

Data structures related to geometric objects.